Subject: bug#8900: 24.0.50; please index mentioned coding systems in Emacs manual

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Jul 2011 18:27:23 +0300

> Cc: <[email-masked]>, <[email-masked]>
> Date: Sat, 2 Jul 2011 07:37:07 -0700
> 
> > > You need detailed doc about *each* coding system before you 
> > > will index *any* of them?
> > 
> > I never said that.
> 
> Sure seems that way to me.  You said:
> 
> E> not until we have a detailed documentation of each
> E> encoding there.

There's no "before I will index *any* of them" here, is there?

> > Some of them _are_ indexed: raw-text, no-conversion, and
> > emacs-internal.  That's because the manual says
> > something specific about them, unlike the others.
> 
> No.  _None_ of those are indexed in the build I reported on.

  http://bzr.savannah.gnu.org/lh/emacs/trunk/annotate/head:/doc/emacs/mule.texi

> Perhaps you are seeing them now because Lars added them in response
> to this bug report?

"Are" does mean "now".  Yes, Lars added index entries, and I moved
them to their correct places.

> I agree about that.  The same cannot be said however for the case I cited:
> 
> D> We say what the undecided-* coding systems do wrt end-of-line
> D> conversion, and we mention their aliases.

Your bug report was about these:

  `no-conversion', `raw-text', `emacs-internal',
  `iso-latin-1-unix', `iso-latin-1-dos', `iso-latin-1-mac',
  `undecided-unix', `undecided-dos', `undecided-mac'

Of these, the iso-latin-1-* are not described in the manual, and thus
have no index entries.  All the others are indexed in the repository.

You are welcome.